- code: 1004
  enum: JWT_TIME_OUT
  content: JWT token 解析超时，需要刷新 navi 重新获取
  solution: |-
    **排查建议**：

- code: 10000
  enum: SUCCESS
  content: 成功
  solution: |-
    **排查建议**：

- code: 40001
  enum: PB_ERROR
  content: PB 错误
  solution: |-
    **排查建议**：

- code: 50000
  enum: SIGNAL_DISCONNECTED
  content: 初始化失败或 IM 未连接
  solution: |-
    **排查建议**：

- code: 50001
  enum: PARAMS_ERROR
  content: 接口参数错误
  solution: |-
    **排查建议**：

- code: 50002
  enum: REPERT_JOIN_ROOM
  content: 加入相同房间错误，表示用户在客户端重复加入相同的房间
  solution: |-
    **排查建议**：

- code: 50003
  enum: NOT_IN_ROOM
  content: 调用房间内接口时，不在房间中
  solution: |-
    **排查建议**：

- code: 50004
  enum: SERVICE_INVALID
  content: 未开通音视频服务，请到融云开发者后台开启
  solution: |-
    **排查建议**：

- code: 50006
  enum: RTC_TOKEN_INVALID
  content: RTC token 为空
  solution: |-
    **排查建议**：

- code: 53001
  enum: SIGNAL_ERROR
  content: 底层信令调用错误
  solution: |-
    **排查建议**：

- code: 53003
  enum: CREATE_OFFER_FAILED
  content: 创建 Offer 失败
  solution: |-
    **排查建议**：

- code: 53004
  enum: REQUEST_FAILED
  content: 网络请求失败
  solution: |-
    **排查建议**：

- code: 53005
  enum: MCU_SERVER_NOT_FOUND
  content: MCU 地址不可为空
  solution: |-
    **排查建议**：

- code: 53007
  enum: BROADCAST_SUB_LIST_NOT_EMPTY
  content:  直播订阅失败，当前存在已订阅资源
  solution: |-
    **排查建议**：

- code: 53008
  enum: ROOM_HAS_BEEN_DESTROYED
  content: 房间已被销毁，需重新加入房间获取 Room 实例
  solution: |-
    **排查建议**：

- code: 53009
  enum: NOT_OPEN_VIDEO_AUDIO_SERVER
  content: 没有可用的音视频服务器地址
  solution: |-
    **排查建议**：

- code: 53010
  enum: GET_USER_MEDIA_FAILED
  content: 获取用户媒体资源流失败
  solution: |-
    **排查建议**：

- code: 53011
  enum: GET_DISPLAY_MEDIA_FAILED
  content: 获取屏幕共享流失败
  solution: |-
    **排查建议**：

- code: 53012
  enum: BROWSER_PERMISSION_DENIED
  content: 权限问题导致获取媒体流被拒绝
  solution: |-
    **排查建议**：

- code: 53013
  enum: CREATE_CUSTOM_TRACK_FAILED
  content: 创建自定义流失败
  solution: |-
    **排查建议**：

- code: 53014
  enum: INVALID_TAGS
  content: 无效的 TAG 定义
  solution: |-
    **排查建议**：

- code: 53015
  enum: INVALID_USER_ID
  content: IM 连接无效，无法识别当前登录的用户身份
  solution: |-
    **排查建议**：

- code: 53016
  enum: CREATE_FILE_TRACK_FAILED
  content: 创建文件流失败
  solution: |-
    **排查建议**：

- code: 53017
  enum: INVALID_FILE_INSTANCE
  content: 无效的 File 实例
  solution: |-
    **排查建议**：

- code: 53018
  enum: SET_REMOTE_DESCRIPTION_FAILED
  content: setRemoteDescription failed
  solution: |-
    **排查建议**：

- code: 53019
  enum: BROWSER_NOT_SUPPORT
  content: 浏览器不支持此方法
  solution: |-
    **排查建议**：

- code: 53020
  enum: TRACK_NOT_READY
  content: 媒体流无法播放，可能是远端流未订阅或本地流已销毁
  solution: |-
    **排查建议**：

- code: 53021
  enum: VIDEO_TRACK_MISS_MEDIA_ELEMENT
  content: 视频流播放需时需传参 HTMLVideoElement 作为显示组件
  solution: |-
    **排查建议**：

- code: 53022
  enum: TRACK_PLAY_ERROR
  content: 媒体流播放失败
  solution: |-
    **排查建议**：

- code: 53023
  enum: SIGNAL_AUDIENCE_JOIN_ROOM_FAILED
  content: 观众加入直播房间信令错误
  solution: |-
    **排查建议**：

- code: 53024
  enum: SIGNAL_ROOM_CHANGE_IDENTITY_FAILED
  content: 直播房间切换身份错误
  solution: |-
    **排查建议**：

- code: 53025
  enum: PACKAGE_ENVIRONMENT_ERROR
  content: 公有云 SDK 包不允许使用私有云环境
  solution: |-
    **排查建议**：

- code: 53026
  enum: PUBLISH_TRACK_LIMIT_EXCEEDED
  content: 单个用户发布资源超过限制
  solution: |-
    **排查建议**：

- code: 53027
  enum: CDN_RESOURCE_IS_EMPTY
  content: 房间内无主播推 CDN
  solution: |-
    **排查建议**：

- code: 53028
  enum: SIGNAL_JOIN_RTC_ROOM_REFUSED
  content: 加入 RTC 房间 joinTYype 为 1 时，当前有其他端在房间时的应答码
  solution: |-
    **排查建议**：

- code: 53029
  enum: NO_PERMISSION_TO_USE_REQUESTED_DEVICE
  content: 设置音频输出设备时，无权限使用请求的设备
  solution: |-
    **排查建议**：

- code: 53030
  enum: THE_FUNCTION_IS_DISABLED_IN_PKROOM
  content: 方法在 PK 房间上不可用
  solution: |-
    **排查建议**：

- code: 53031
  enum: SOME_TRACKS_PUBLISH_FAILED
  content: 资源没有全部发成功
  solution: |-
    **排查建议**：

- code: 53032
  enum: MAC_IN_ELECTRON_NOT_SUPPORT_SCREEN_SHARE_WITH_AUDIO
  content: electron 中 mac 系统暂不支持屏幕共享采集声音
  solution: |-
    **排查建议**：

- code: 53033
  enum: SYSTEM_PERMISSION_DENIED
  content: 获取媒体资源时，无系统权限
  solution: |-
    **排查建议**：

- code: 53034
  enum: PUBLISH_TRACKS_IS_INVALID
  content: 发布时无有效资源，如 track 已被销毁
  solution: |-
    **排查建议**：

- code: 53035
  enum: TRACK_READYSTATE_IS_ENDED
  content: 流状态为 ended
  solution: |-
    **排查建议**：

- code: 53036
  enum: APPLY_3A_NOISE_WORKLET_BEFORE_PUBLISH
  content: 应用 3A 降噪必须在 publish 之前
  solution: |-
    **排查建议**：

- code: 53037
  enum: LOAD_3A_MODULE_FAILED
  content: 加载 3A 降噪模块失败
  solution: |-
    **排查建议**：
